package com.ruoyi.pt.controller;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.exception.ServiceException;
import com.ruoyi.pt.entity.Events;
import com.ruoyi.pt.entity.Similar;
import com.ruoyi.pt.entity.dto.ASimilarRequest;
import com.ruoyi.pt.entity.dto.NoAccordWithRequest;
import com.ruoyi.pt.entity.response.AInvokeResponse;
import com.ruoyi.pt.service.ASimilarService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;

/**
 * 相似同类事件调用记录控制层
 * @author du
 * @since 2024/9/3 15:28
 */
@Api(tags = "相似事件调用记录")
@RestController
@RequestMapping("/earlyWarningAudit/similar")
public class ASimilarController extends BaseController {

    @Resource
    private ASimilarService aSimilarService;

    /**
     * 分页条件查询相似事件调用记录数据
     *
     * @param page   分页条件
     * @param similarService 查询条件
     * @return 所有数据
     */
    @GetMapping("/colonyPage")
    @ApiOperation(value = "分页条件查询相似事件调用记录数据", response = AInvokeResponse.class)
    public AjaxResult page(Page<AInvokeResponse> page, ASimilarRequest similarService) {
        return success(aSimilarService.page(page,similarService));
    }

    /**
     * 查询相似事件数据
     *
     * @param targetId 查询条件
     * @return 所有数据
     */
    @GetMapping("/similarEventsPage/{targetId}")
    @ApiOperation(value = "查询相似事件数据", response = Similar.class)
    public AjaxResult similarEventsPage(@PathVariable String targetId) {
        return success(aSimilarService.similarEventsPage(targetId));
    }
    /**
     * 相似事件提交重训练
     */
    @ApiOperation(value = "相似事件提交重训练")
    @PostMapping ("/noAccordWith")
    public AjaxResult noAccordWith(@RequestBody @Valid NoAccordWithRequest resultId) {
        if(resultId.getResultId().isEmpty()){
            throw new ServiceException("请选择工单!");
        }
        return toAjax(aSimilarService.noAccordWith(resultId));
    }
}
