package com.ruoyi.pt.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.pt.entity.BEventAccess;
import com.ruoyi.pt.service.IBEventAccessService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 事件接⼊Controller
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@Api(tags = "事件接⼊")
@RestController
@RequestMapping("/gateway/event/event/eventData/")
public class BEventAccessController extends BaseController {
    @Autowired
    private IBEventAccessService bEventAccessService;

    /**
     * 查询事件接⼊列表
     */
    @ApiOperation(value = "查询事件接⼊列表", response = BEventAccess.class)
    @GetMapping("/list")
    public TableDataInfo list(BEventAccess bEventAccess) {
        startPage();
        List<BEventAccess> list = bEventAccessService.selectBEventAccessList(bEventAccess);
        return getDataTable(list);
    }

    /**
     * 导出事件接⼊列表
     */
    @ApiOperation(value = "导出事件接⼊列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BEventAccess bEventAccess) {
        List<BEventAccess> list = bEventAccessService.selectBEventAccessList(bEventAccess);
        ExcelUtil<BEventAccess> util = new ExcelUtil<BEventAccess>(BEventAccess.class);
        util.exportExcel(response, list, "事件接⼊数据");
    }

    /**
     * 获取事件接⼊详细信息
     */
    @ApiOperation(value = " 获取事件接⼊详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bEventAccessService.selectBEventAccessById(id));
    }

    /**
     * 事件推送接⼝
     */
    @ApiOperation(value = "事件推送接⼝")
    @PostMapping("/imports")
    public AjaxResult add(@RequestBody List<BEventAccess> bEventAccess) {
        bEventAccessService.saveBatch(bEventAccess);
        return AjaxResult.success();
    }

    /**
     * 修改事件接⼊
     */
    @ApiOperation(value = " 修改事件接⼊")
    @PutMapping
    public AjaxResult edit(@RequestBody BEventAccess bEventAccess) {
        return toAjax(bEventAccessService.updateBEventAccess(bEventAccess));
    }

    /**
     * 删除事件接⼊
     */
    @ApiOperation(value = " 删除事件接⼊")
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bEventAccessService.deleteBEventAccessByIds(ids));
    }


}
