package com.ruoyi.pt.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.pt.entity.BEventProgressPush;
import com.ruoyi.pt.service.IBEventProgressPushService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 事件进度推送Controller
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@Api(tags = "事件进度推送")
@RestController
@RequestMapping("/gateway/event/event/eventData/eventProgress/")
public class BEventProgressPushController extends BaseController {
    @Autowired
    private IBEventProgressPushService bEventProgressPushService;

    /**
     * 查询事件进度推送列表
     */
    @ApiOperation(value = "查询事件进度推送列表", response = BEventProgressPush.class)
    @GetMapping("/list")
    public TableDataInfo list(BEventProgressPush bEventProgressPush) {
        startPage();
        List<BEventProgressPush> list = bEventProgressPushService.selectBEventProgressPushList(bEventProgressPush);
        return getDataTable(list);
    }

    /**
     * 导出事件进度推送列表
     */
    @ApiOperation(value = "导出事件进度推送列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BEventProgressPush bEventProgressPush) {
        List<BEventProgressPush> list = bEventProgressPushService.selectBEventProgressPushList(bEventProgressPush);
        ExcelUtil<BEventProgressPush> util = new ExcelUtil<BEventProgressPush>(BEventProgressPush.class);
        util.exportExcel(response, list, "事件进度推送数据");
    }

    /**
     * 获取事件进度推送详细信息
     */
    @ApiOperation(value = " 获取事件进度推送详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bEventProgressPushService.selectBEventProgressPushById(id));
    }

    /**
     * 新增事件进度推送
     */
    @ApiOperation(value = "新增事件进度推送")
    @PostMapping("/imports")
    public AjaxResult add(@RequestBody List<BEventProgressPush> bEventProgressPush) {
        return toAjax(bEventProgressPushService.saveBatch(bEventProgressPush));
    }

    /**
     * 修改事件进度推送
     */
    @ApiOperation(value = " 修改事件进度推送")
    @PutMapping
    public AjaxResult edit(@RequestBody BEventProgressPush bEventProgressPush) {
        return toAjax(bEventProgressPushService.updateBEventProgressPush(bEventProgressPush));
    }

    /**
     * 删除事件进度推送
     */
    @ApiOperation(value = " 删除事件进度推送")
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bEventProgressPushService.deleteBEventProgressPushByIds(ids));
    }
}
