package com.ruoyi.pt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 事件接⼊对象 b_event_access
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@Data
@ApiModel("事件接⼊")
@TableName("b_event_access")
public class BEventAccess implements Serializable {


    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 事件提供⽅的对事件的唯⼀标识
     */
    @Excel(name = "事件提供⽅的对事件的唯⼀标识")
    @ApiModelProperty(value = "事件提供⽅的对事件的唯⼀标识")
    private String innerEventId;

    /**
     * 事件消息所属区域12位编码
     */
    @Excel(name = "事件消息所属区域12位编码")
    @ApiModelProperty(value = "事件消息所属区域12位编码")
    private String areaCode;

    /**
     * 街道编码,15位编码
     */
    @Excel(name = "街道编码,15位编码")
    @ApiModelProperty(value = "街道编码,15位编码")
    private String communityCode;

    /**
     * ⽹格编码,15位编码
     */
    @Excel(name = "⽹格编码,15位编码")
    @ApiModelProperty(value = "⽹格编码,15位编码")
    private String gridCode;

    /**
     * 事件消息所属场景编码：该场
     * 景编码由各提供⽅向指挥中
     * ⼼平台申请
     */
    @Excel(name = "事件消息所属场景编码：该场 景编码由各提供⽅向指挥中⼼平台申请")
    @ApiModelProperty(value = "事件消息所属场景编码：该场 景编码由各提供⽅向指挥中⼼平台申请")
    private String scence;

    /**
     * 事件消息标题
     */
    @Excel(name = "事件消息标题")
    @ApiModelProperty(value = "事件消息标题")
    private String title;

    /**
     * 事件消息内容
     */
    @Excel(name = "事件消息内容")
    @ApiModelProperty(value = "事件消息内容")
    private String content;

    /**
     * 事件发⽣时间，格式为：
     * yyyy-MM-dd HH:mm:ss
     */
    @Excel(name = "事件发⽣时间，格式为： yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "事件发⽣时间，格式为： yyyy-MM - dd HH:mm:ss")
    private String eventTime;

    /**
     * 事件发⽣地经纬度，格式为：
     * 经度,纬度
     */
    @Excel(name = "事件发⽣地经纬度，格式为： 经度, 纬度")
    @ApiModelProperty(value = "事件发⽣地经纬度，格式为： 经度, 纬度")
    private String eventCoordinate;

    /**
     * 事件类型编码(⾃定义。如果
     * 没有，需要向指挥中⼼平台
     * 申请对应的事件类型)
     */
    @Excel(name = "事件类型编码(⾃定义。如果 没有，需要向指挥中⼼平台 申请对应的事件类型)")
    @ApiModelProperty(value = "事件类型编码(⾃定义。如果 没有，需要向指挥中⼼平台 申请对应的事件类型)")
    private Long msgType;

    /**
     * 事件类型名称
     */
    @Excel(name = "事件类型名称")
    @ApiModelProperty(value = "事件类型名称")
    private String msgTypeName;

    /**
     * 事件消息跳转路径
     */
    @Excel(name = "事件消息跳转路径")
    @ApiModelProperty(value = "事件消息跳转路径")
    private String eventUrl;

    /**
     * 事件当前处理状态，0："未
     * 处理" 1："处理中" 2："已
     * 完成"
     */
    @Excel(name = "事件案件状态")
    @ApiModelProperty(value = "事件案件状态")
    private String caseStatus;

    /**
     * 事件上报⼈
     */
    @Excel(name = "事件上报⼈")
    @ApiModelProperty(value = "事件上报⼈")
    private String eventCreator;

    /**
     * 事件上报⼈联系⽅式
     */
    @Excel(name = "事件上报⼈联系⽅式")
    @ApiModelProperty(value = "事件上报⼈联系⽅式")
    private String eventCreatorTel;

    /**
     * 事件发⽣地点名
     */
    @Excel(name = "事件发⽣地点名")
    @ApiModelProperty(value = "事件发⽣地点名")
    private String eventPlaceName;

    /**
     * 事件持续时间
     */
    @Excel(name = "事件持续时间")
    @ApiModelProperty(value = "事件持续时间")
    private Long eventDuration;

    /**
     * 事件执⾏类型 1：流转 2：
     * 展示 3：提级
     */
    @Excel(name = "事件执⾏类型 1：流转 2： 展示 3：提级")
    @ApiModelProperty(value = "事件执⾏类型 1：流转 2： 展示 3：提级")
    private Long executeType;

    /**
     * 事件是否超时: 0 未超时 1已超时
     */
    @Excel(name = "事件是否超时: 0 未超时 1已超时")
    @ApiModelProperty(value = "事件是否超时: 0 未超时 1已超时")
    private Long remindStatus;

    /**
     * 附件链接(多个逗号分隔)
     */
    @Excel(name = "附件链接(多个逗号分隔)")
    @ApiModelProperty(value = "附件链接(多个逗号分隔)")
    private String eventFile;


    /**
     * 1、⼀般2、提级3、疑难4、多跨5、逾期6、推诿7、督办，多个逗号分隔
     */
    @Excel(name = "1、⼀般2、提级3、疑难4、多跨5、逾期6、推诿7、督办，多个逗号分隔")
    @ApiModelProperty(value = "1、⼀般2、提级3、疑难4、多跨5、逾期6、推诿7、督办，多个逗号分隔")
    private String eventLabel;


    /**
     * 案件类型编码
     */
    @Excel(name = "案件类型编码")
    @ApiModelProperty(value = "案件类型编码")
    private String scenceType;


    /**
     * 案件类型名称
     */
    @Excel(name = "案件类型名称")
    @ApiModelProperty(value = "案件类型名称")
    private String scenceTypename;


    /**
     * 受理时间
     */
    @Excel(name = "受理时间")
    @ApiModelProperty(value = "受理时间")
    private String acceptanceTime;


    /**
     * 处置时限
     */
    @Excel(name = "处置时限")
    @ApiModelProperty(value = "处置时限")
    private String dealTimeLimit;

    /**
     * 拒绝时限
     */
    @Excel(name = "拒绝时限")
    @ApiModelProperty(value = "拒绝时限")
    private String refuseTimeLimit;


    /**
     * 拒绝时限
     */
    @Excel(name = "反馈时间")
    @ApiModelProperty(value = "反馈时间")
    private String feedbackTime;


    /**
     * 办结时间
     */
    @Excel(name = "办结时间")
    @ApiModelProperty(value = "办结时间")
    private String completionTime;

    /**
     * 主办单位
     */
    @Excel(name = "主办单位")
    @ApiModelProperty(value = "主办单位")
    private String mainOrganizer;


    /**
     * 执法单位
     */
    @Excel(name = "执法单位")
    @ApiModelProperty(value = "执法单位")
    private String enforceLawOrganizer;


    /**
     * 协办单位
     */
    @Excel(name = "协办单位")
    @ApiModelProperty(value = "协办单位")
    private String coOrganizer;
}
