package com.ruoyi.pt.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 服务工单受理对象 case_info
 *
 * @author ruoyi
 * @date 2023-11-27
 */
@Data
@ApiModel("服务工单受理")
public class CaseInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 服务工单编号
     */
    @Excel(name = "服务工单编号")
    @ApiModelProperty(value = "服务工单编号")
    private String caseSerial;

    /**
     * 服务工单标题
     */
    @Excel(name = "服务工单标题")
    @ApiModelProperty(value = "服务工单标题")
    private String caseTitle;

    /**
     * 服务代表姓名
     */
    @Excel(name = "服务代表姓名")
    @ApiModelProperty(value = "服务代表姓名")
    private String caseRegister;

    /**
     * 服务代表工号
     */
    @Excel(name = "服务代表工号")
    @ApiModelProperty(value = "服务代表工号")
    private String caseRegisterno;

    /**
     * 登记时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "登记时间")
    @Excel(name = "登记时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date caseDate;

    /**
     * 受理方式
     */
    @Excel(name = "受理方式")
    @ApiModelProperty(value = "受理方式")
    private String caseSource;

    /**
     * 来电号码
     */
    @Excel(name = "来电号码")
    @ApiModelProperty(value = "来电号码")
    private String phoneNumber;

    /**
     * 服务对象姓名
     */
    @Excel(name = "服务对象姓名")
    @ApiModelProperty(value = "服务对象姓名")
    private String applicantName;

    /**
     * 服务对象性别
     */
    @Excel(name = "服务对象性别")
    @ApiModelProperty(value = "服务对象性别")
    private String applicantSex;

    /**
     * 服务对象年龄
     */
    @Excel(name = "服务对象年龄")
    @ApiModelProperty(value = "服务对象年龄")
    private Long applicantAge;

    /**
     * 证件号码
     */
    @Excel(name = "证件号码")
    @ApiModelProperty(value = "证件号码")
    private String applicantId;

    /**
     * 诉求类型
     */
    @Excel(name = "诉求类型")
    @ApiModelProperty(value = "诉求类型")
    private String caseType;

    /**
     * 归口类型
     */
    @Excel(name = "归口类型")
    @ApiModelProperty(value = "归口类型")
    private String caseAccord;

    /**
     * 诉求内容
     */
    @Excel(name = "诉求内容")
    @ApiModelProperty(value = "诉求内容")
    private String caseContent;

    /**
     * 处理方式
     */
    @Excel(name = "处理方式")
    @ApiModelProperty(value = "处理方式")
    private String caseProcessType;

    /**
     * 是否公开
     */
    @Excel(name = "是否公开")
    @ApiModelProperty(value = "是否公开")
    private String caseIspublic;

    /**
     * 是否回访
     */
    @Excel(name = "是否回访")
    @ApiModelProperty(value = "是否回访")
    private String caseIsvisit;

    /**
     * 紧急程度
     */
    @Excel(name = "紧急程度")
    @ApiModelProperty(value = "紧急程度")
    private String caseIsurgent;

    /**
     * 备注
     */
    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String caseMark;

    /**
     * 行政区域编码
     */
    @Excel(name = "行政区域编码")
    @ApiModelProperty(value = "行政区域编码")
    private String areaCode;

    /**
     * 服务工单流转编号
     */
    @Excel(name = "服务工单流转编号")
    @ApiModelProperty(value = "服务工单流转编号")
    private String caseSerialTurn;

    /**
     * 签收时限
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "签收时限")
    @Excel(name = "签收时限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tsigntimeBf;

    /**
     * 办结时限
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "办结时限")
    @Excel(name = "办结时限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tfdbacktimeBf;

    /**
     * 拒绝时限
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "拒绝时限")
    @Excel(name = "拒绝时限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tbacktimeBf;

    /**
     * 关联服务工单
     */
    @Excel(name = "关联服务工单")
    @ApiModelProperty(value = "关联服务工单")
    private String relateSerial;

    /**
     * 诉求归属行政区域编码
     */
    @Excel(name = "诉求归属行政区域编码")
    @ApiModelProperty(value = "诉求归属行政区域编码")
    private String caseAreaCode;

    /**
     * 涉及单位
     */
    @Excel(name = "涉及单位")
    @ApiModelProperty(value = "涉及单位")
    private String caseSjOuname;

    /**
     * 处办单位
     */
    @Excel(name = "处办单位")
    @ApiModelProperty(value = "处办单位")
    private String caseHandleOuname;

    /**
     * 联系号码1
     */
    @Excel(name = "联系号码1")
    @ApiModelProperty(value = "联系号码1")
    private String linkNumber1;

    /**
     * 联系号码2
     */
    @Excel(name = "联系号码2")
    @ApiModelProperty(value = "联系号码2")
    private String linkNumber2;

    /**
     * 经纬度
     */
    @Excel(name = "经纬度")
    @ApiModelProperty(value = "经纬度")
    private String caseLnglat;

    /**
     * 诉求情感
     */
    @Excel(name = "诉求情感")
    @ApiModelProperty(value = "诉求情感")
    private String caseEmotion;

    /**
     * 归口类型拓展
     */
    @Excel(name = "归口类型拓展")
    @ApiModelProperty(value = "归口类型拓展")
    private String caseExAccord;

    /**
     * 诉求详细地址
     */
    @Excel(name = "诉求详细地址")
    @ApiModelProperty(value = "诉求详细地址")
    private String caseAddress;

    /**
     * 事发时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "事发时间")
    @Excel(name = "事发时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date eventDate;

    /**
     * 诉求目的
     */
    @Excel(name = "诉求目的")
    @ApiModelProperty(value = "诉求目的")
    private String caseGoal;

    /**
     * 来源渠道
     */
    @Excel(name = "来源渠道")
    @ApiModelProperty(value = "来源渠道")
    private String caseChannel;

    /**
     * 证件类型
     */
    @Excel(name = "证件类型")
    @ApiModelProperty(value = "证件类型")
    private String certificateType;

    /**
     * 历史服务工单数
     */
    @Excel(name = "历史服务工单数")
    @ApiModelProperty(value = "历史服务工单数")
    private Long caseHistorynum;

    /**
     * 主题工单类型
     */
    @Excel(name = "主题工单类型")
    @ApiModelProperty(value = "主题工单类型")
    private String themeSerialType;

    /**
     * 是否企业工单
     */
    @Excel(name = "是否企业工单")
    @ApiModelProperty(value = "是否企业工单")
    private String applicantType;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String ENTERPRISE;

    /**
     * 企业地址
     */
    @Excel(name = "企业地址")
    @ApiModelProperty(value = "企业地址")
    private String ENTERPRISEADDRESS;

    /**
     * 法人代表
     */
    @Excel(name = "法人代表")
    @ApiModelProperty(value = "法人代表")
    private String CORPORATEREPRESENTATIVE;

    /**
     * 统一社会信用代码
     */
    @Excel(name = "统一社会信用代码")
    @ApiModelProperty(value = "统一社会信用代码")
    private String CREDITCODE;

    /**
     * 知识库编号
     */
    @Excel(name = "知识库编号")
    @ApiModelProperty(value = "知识库编号")
    private String caseKnowledgeserial;

    /**
     * 表单类型
     */
    @Excel(name = "表单类型")
    @ApiModelProperty(value = "表单类型")
    private String caseFormtype;

    /**
     * 是否新冠病毒感染工单
     */
    @Excel(name = "是否新冠病毒感染工单")
    @ApiModelProperty(value = "是否新冠病毒感染工单")
    private String isEpidemic;

    /**
     * 新冠病毒感染事项分类
     */
    @Excel(name = "新冠病毒感染事项分类")
    @ApiModelProperty(value = "新冠病毒感染事项分类")
    private String epidemicType;

    /**
     * 热线号码
     */
    @Excel(name = "热线号码")
    @ApiModelProperty(value = "热线号码")
    private String caseHotnumber;

    /**
     * 是否办结
     */
    @Excel(name = "是否办结")
    @ApiModelProperty(value = "是否办结")
    private String caseIsfinish;

    /**
     * 是否保密
     */
    @Excel(name = "是否保密")
    @ApiModelProperty(value = "是否保密")
    private String caseIssecret;

    /**
     * 诉求渠道信息
     */
    @Excel(name = "诉求渠道信息")
    @ApiModelProperty(value = "诉求渠道信息")
    private String caseSourceDetail;

    /**
     * 投诉/举报人姓名
     */
    @Excel(name = "投诉/举报人姓名")
    @ApiModelProperty(value = "投诉/举报人姓名")
    private String COMPLAINTPERSON;

    /**
     * 投诉/举报人所在企业
     */
    @Excel(name = "投诉/举报人所在企业")
    @ApiModelProperty(value = "投诉/举报人所在企业")
    private String COMPLAINTCOMPANY;

    /**
     * 投诉/举报事项
     */
    @Excel(name = "投诉/举报事项")
    @ApiModelProperty(value = "投诉/举报事项")
    private String COMPLAINTITEM;

    /**
     * 投诉/举报对象类型
     */
    @Excel(name = "投诉/举报对象类型")
    @ApiModelProperty(value = "投诉/举报对象类型")
    private String COMPLAINTTARGETTYPE;

    /**
     * 投诉/举报对象信息
     */
    @Excel(name = "投诉/举报对象信息")
    @ApiModelProperty(value = "投诉/举报对象信息")
    private String COMPLAINTTARGETINFO;

    /**
     * 答复方式
     */
    @Excel(name = "答复方式")
    @ApiModelProperty(value = "答复方式")
    private String ITEMANSWERTYPE;

    /**
     * 涉及部门
     */
    @Excel(name = "涉及部门")
    @ApiModelProperty(value = "涉及部门")
    private String ITEMSJOUNAME;

}
