package com.ruoyi.pt.entity;

import cn.hutool.core.annotation.Alias;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.pt.entity.response.CasesEventExtImportResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * (CasesImport)表实体类
 *
 * @author wu
 * @since 2023-12-26 10:40:44
 */
@ApiModel("CasesImport表实体类")
@TableName(value = "cases_import")
@Data
public class CasesImport implements Serializable {

    private static final long serialVersionUID = 690827189481452659L;

    /**
     * 工单编号
     */
    @TableField(value = "innerEventId")
    @Alias("innerEventIds")
    private String innerEventId;

    /**
     * 工单编号
     */
    @TableField(value = "CASE_SERIAL")
    @Alias("innerEventId")
    @ApiModelProperty(value = "工单编号")
    private String caseSerial;

    /**
     * 诉求类型
     */
    @TableField(value = "CASE_TYPE")
    @Alias("msgTypeName")
    @ApiModelProperty(value = "诉求类型")
    private String caseType;

    @TableField(exist = false)
    @Alias("eventExt")
    private String eventExt;

    @TableField(value = "scenceName")
    @Alias("scenceName")
    private String scenceName;

    /**
     * 案件类型
     */
    @TableField(value = "CASE_ACCORD")
    @Alias("scenceTypeName")
    @ApiModelProperty(value = "案件类型")
    private String caseAccord;

    /**
     * 工单标题
     */
    @TableField(value = "CASE_TITLE")
    @Alias("title")
    @ApiModelProperty(value = "工单标题")
    private String caseTitle;

    /**
     * 制单时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CASE_DATE")
    @Alias("eventTime")
    @ApiModelProperty(value = "制单时间")
    private Date caseDate;

    /**
     * 诉求内容
     */
    @TableField(value = "CASE_CONTENT")
    @Alias("content")
    @ApiModelProperty(value = "诉求内容")
    private String caseContent;

    /**
     * 坐标
     */
    @TableField(value = "CASE_LNGLAT")
    @Alias("eventCoordinate")
    @ApiModelProperty(value = "坐标")
    private String caseLnglat;

    /**
     * 位置描述
     */
    @TableField(value = "CASE_ADDRESS")
    @Alias("eventPlaceName")
    @ApiModelProperty(value = "位置描述")
    private String caseAddress;

    /**
     * 是否紧急
     */
    @ApiModelProperty(value = "是否紧急")
    @TableField(value = "IS_URGENT")
    private Integer isUrgent;

    /**
     * 服务对象姓名
     */
    @ApiModelProperty(value = "服务对象姓名")
    @TableField(value = "CREATOR_NAME")
    @Alias("eventCreator")
    private String creatorName;

    /**
     * 来电号码
     */
    @ApiModelProperty(value = "来电号码")
    @TableField(value = "CREATOR_TEL")
    @Alias("eventCreatorTel")
    private String creatorTel;


    @TableField(exist = false)
    private String resourceTypeName;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableField(value = "ID")
    @Alias("id")
    @TableId
    private String id;

    /**
     * 1.将其标记
     */
    @ApiModelProperty(value = "1.将其标记")
    @TableField(value = "isReport")
    private Integer isReport;

    /**
     * 审核时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "审核时间")
    @TableField(value = "auditTime")
    private Date auditTime;
}

