package com.ruoyi.pt.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 事件集合临时表(EventsCopy)表实体类
 *
 * @author wu
 * @since 2023-12-29 19:55:49
 */
@Data
@ApiModel("事件集合临时表实体类")
@TableName(value = "events_copy")
public class EventsCopy implements Serializable {

    private static final long serialVersionUID = -93336216948940683L;
    /**
     * 事件集合编号（主键）
     */
    @ApiModelProperty(value = "事件集合编号（主键）")
    @TableField(value = "innerEventId")
    private String innerEventId;

    /**
     * 事件消息标题
     */
    @ApiModelProperty(value = "事件消息标题")
    private String title;

    /**
     * 事件类型编码
     */
    @ApiModelProperty(value = "事件类型编码")
    @TableField(value = "msgType")
    private String msgType;

    /**
     * 事件类型名称
     */
    @ApiModelProperty(value = "事件类型名称")
    @TableField(value = "msgTypeName")
    private String msgTypeName;

    /**
     * 案件类型编码
     */
    @ApiModelProperty(value = "案件类型编码")
    @TableField(value = "scenceType")
    private Integer scenceType;

    /**
     * 案件类型名称
     */
    @ApiModelProperty(value = "案件类型名称")
    @TableField(value = "scenceTypeName")
    private String scenceTypename;

    /**
     * 第一次预警时间
     */
    @ApiModelProperty(value = "第一次预警时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "firstWarnTime")
    private Date firstWarnTimeDate;

    /**
     * 事件发生时间
     */
    @ApiModelProperty(value = "事件发生时间")
    @TableField(value = "eventTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eventTimeDate;

    /**
     * 预警因素
     */
    @ApiModelProperty(value = "预警因素")
    @TableField(value = "warnFactor")
    private String warnFactor;

    /**
     * 预警关联的事件单号
     */
    @ApiModelProperty(value = "预警关联的事件单号")
    @TableField(value = "relationNums")
    private String relationNums;

}

