package com.ruoyi.pt.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 驾驶舱群体事件请求体
 * @author du
 * @since 2024/9/2 11:14
 */
@Data
@ApiModel("驾驶舱群体事件请求体")
public class AMassEventsRequest implements Serializable {

    /**
     * 事件消息标题
     */
    @ApiModelProperty(value = "事件消息标题")
    private String title;

    /**
     * 预警时间开始时间
     */
    @ApiModelProperty(value = "预警时间开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 预警时间结束时间
     */
    @ApiModelProperty(value = "预警时间结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 事件类型编码
     */
    @ApiModelProperty(value = "事件类型编码【群体事件】1" +
            "【同人同诉】2" +
            "【紧急事件】3" +
            "【重点人员】4" +
            "【一人多诉】5")
    @TableField(value = "msgType")
    private String msgType;


    /**
     * 1.重新上报驾驶舱 2.退回算法重训练
     */
    @ApiModelProperty(value = "1.重新上报驾驶舱 2.退回算法重训练  3.审核通过 4.待审核 5.已审核")
    private Integer isReport;
}
