package com.ruoyi.pt.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 相似事件调用记录请求体
 * @author du
 * @since 2024/9/4 16:18
 */
@Data
@ApiModel("驾驶舱群体事件请求体")
public class ASimilarRequest {


    /**
     * 事件消息标题
     */
    @ApiModelProperty(value = "事件消息标题")
    private String title;


    /**
     * 预警时间开始时间
     */
    @ApiModelProperty(value = "预警时间开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 预警时间结束时间
     */
    @ApiModelProperty(value = "预警时间结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 1.退回算法重训练
     */
    @ApiModelProperty(value = "1.退回算法重训练")
    private Integer isReport;
}
