package com.ruoyi.pt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.pt.entity.CasesImport;
import com.ruoyi.pt.entity.Events;
import com.ruoyi.pt.entity.dto.AEventChangeIsReport;
import com.ruoyi.pt.entity.dto.AMassEventsRequest;
import com.ruoyi.pt.entity.response.ANew100PageResponse;
import com.ruoyi.pt.entity.response.FiveEventCountResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 事件接⼊Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-06
 */
public interface AEventsMapper {
    /**
     * 分页条件查询事件表
     */
    Page<Events> page(Page<Events> page, @Param("req") AMassEventsRequest events);


    /**
     * 获取单个事件详细信息
     */
    Events getByInnerEventId(@Param("innerEventId") String innerEventId);

    /**
     * 分页条件查询审核列表
     */
    Page<CasesImport> auditList(Page<CasesImport> page,@Param("caseList") List<String> caseList);

    /**
     * 查询审核列表
     */
    List<CasesImport> auditList(@Param("caseList") List<String> caseList);

    /**
     * 查询工单详情
     */
    CasesImport getById(String id);

    /**
     * 修改事件标题
     */
    int edit(@Param("req") Events events);

    /**
     * 添加数据到审核表
     */
    int addAudit(Events events);


    /**
     * 根据100条最新事件查询对应工单
     */
    List<ANew100PageResponse> new100Page(@Param("a1") List<String> a1);


    /**
     * 取最新一条事件
     */
    List<Events> limitOneMsg();

    /**
     * casesImport表提级或退回
     */
    int updateCasesImport(@Param("list") List<String> list,
                          @Param("isReport") Integer isReport,
                          @Param("time") String time);

    /**
     * event表提级或退回
     */
    int updateEvent(@Param("req") AEventChangeIsReport a);

    /**
     * 根据查询条件查询事件待审核个数
     *
     * @param events 查询条件
     * @return 所有数据
     */
    Integer eventPageCount(@Param("req") AMassEventsRequest events);


    /**
     * 查询五种事件待审核个数
     */
    List<FiveEventCountResponse> fiveEventCount();
}
