package com.ruoyi.pt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.pt.entity.Events;
import com.ruoyi.pt.entity.Similar;
import com.ruoyi.pt.entity.dto.ASimilarRequest;
import com.ruoyi.pt.entity.dto.NoAccordWithRequest;
import com.ruoyi.pt.entity.response.AInvokeResponse;
import com.ruoyi.pt.service.ASimilarService;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 相似同类事件调用记录数据层
 * 
 * @author ruoyi
 * @date 2023-12-06
 */
public interface ASimilarMapper {

    /**
     * 分页条件查询相似事件调用记录数据
     *
     * @param similarService 查询条件
     * @return 所有数据
     */
    Page<AInvokeResponse> page(Page<AInvokeResponse> page, @Param("req") ASimilarRequest similarService);

    /**
     * 分页条件查询相似事件数据
     *
     * @param targetId 查询条件
     * @return 所有数据
     */
    List<Similar> similarEventsPage(@Param("targetId") String targetId);

    /**
     * 标记为不符合
     *
     * @return
     */
    int noAccordWith(@Param("req") NoAccordWithRequest resultId);
}
