package com.ruoyi.pt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.pt.entity.Similar;
import com.ruoyi.pt.entity.dto.ASimilarRequest;
import com.ruoyi.pt.entity.dto.NoAccordWithRequest;
import com.ruoyi.pt.entity.response.AInvokeResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 相似同类事件调用记录业务层
 * @author du
 * @since 2024/9/2 10:24
 */
public interface ASimilarService {

    /**
     * 分页条件查询相似事件调用记录数据
     *
     * @param page   分页条件
     * @param similarService 查询条件
     * @return 所有数据
     */
    Page<AInvokeResponse> page(Page<AInvokeResponse> page, @Param("req") ASimilarRequest similarService);

    /**
     * 分页条件查询相似事件数据
     *
     * @param targetId 查询条件
     * @return 所有数据
     */
    List<Similar> similarEventsPage(String targetId);

    /**
     * 标记为不符合
     *
     * @return
     */
    int noAccordWith(NoAccordWithRequest resultId);
}
