package com.ruoyi.pt.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.pt.entity.BEventProgressPush;

/**
 * 事件进度推送Service接口
 * 
 * @author ruoyi
 * @date 2023-12-06
 */
public interface IBEventProgressPushService   extends IService<BEventProgressPush>
{
    /**
     * 查询事件进度推送
     * 
     * @param id 事件进度推送主键
     * @return 事件进度推送
     */
    public BEventProgressPush selectBEventProgressPushById(Long id);

    /**
     * 查询事件进度推送列表
     * 
     * @param bEventProgressPush 事件进度推送
     * @return 事件进度推送集合
     */
    public List<BEventProgressPush> selectBEventProgressPushList(BEventProgressPush bEventProgressPush);

    /**
     * 新增事件进度推送
     * 
     * @param bEventProgressPush 事件进度推送
     * @return 结果
     */
    public int insertBEventProgressPush(List<BEventProgressPush> bEventProgressPush);

    /**
     * 修改事件进度推送
     * 
     * @param bEventProgressPush 事件进度推送
     * @return 结果
     */
    public int updateBEventProgressPush(BEventProgressPush bEventProgressPush);

    /**
     * 批量删除事件进度推送
     * 
     * @param ids 需要删除的事件进度推送主键集合
     * @return 结果
     */
    public int deleteBEventProgressPushByIds(Long[] ids);

    /**
     * 删除事件进度推送信息
     * 
     * @param id 事件进度推送主键
     * @return 结果
     */
    public int deleteBEventProgressPushById(Long id);
}
