package com.ruoyi.pt.service;

/**
 * 远程调用服务层
 *
 * @author wu
 * @since 2023/12/15 16:02
 */
public interface RemoteCallsService {

    /**
     * 获取公共accessToken
     *
     * @return accessToken
     */
    String getAccessToken();

    /**
     * 事件进度推送接口
     *
     * @param allPush 是否全推送 1为推送所有 null为推送当天
     * @return 推送条数
     */
    int imports(Integer allPush);

    /**
     * 获取社会治理中心增量事件保存到events_import表
     *
     * @return 数据条数
     */
    int getEventDate();

    /**
     * 紧急事件接口
     *
     * @param yesterdayStr 昨天日期字符串 yyyy-MM-dd
     */
    void urgentAlgorithm(String yesterdayStr);

    /**
     * 重点人员接口
     */
    void keypersonAlgorithm();

    /**
     * 群体事件接口
     */
    void groupAlgorithm();

    /**
     * 同人事件接口
     */
    void onepersonAlgorithm();

    /**
     * 过滤审核不通过的事件列表
     *
     * @param lastHourStr  获取上个小时
     * @param localDateStr 获取当前时间
     */
    void noPassEventList(String lastHourStr, String localDateStr);

    /**
     * 过滤已办结的事件列表
     *
     * @param lastHourStr  获取上个小时
     * @param localDateStr 获取当前时间
     */
    void completionEventList(String lastHourStr, String localDateStr);

    /**
     * 根据事件id推送接口
     *
     * @param innerEventId 事件id
     */
    void pushByInnerEventId(String innerEventId);

    /**
     * 同人同诉接口
     */
    void samepersonComplaint();

    /**
     * 一人多诉接口
     */
    void onepersonSues();
}
