package com.ruoyi.pt.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.pt.entity.Events;
import com.ruoyi.pt.mapper.EventsMapper;
import com.ruoyi.pt.service.EventsService;
import org.springframework.stereotype.Service;

/**
 * 事件集合表(Events)表服务实现类
 *
 * @author wu
 * @since 2023-12-15 22:58:42
 */
@Service("eventsService")
public class EventsServiceImpl extends ServiceImpl<EventsMapper, Events> implements EventsService {

    /**
     * 分页条件查询事件合集表
     *
     * @param page   分页条件
     * @param events 查询条件
     * @return 事件数据
     */
    @Override
    public Page<Events> page(Page<Events> page, Events events) {
        QueryWrapper<Events> wrapper = new QueryWrapper<>();
        wrapper.like(StrUtil.isNotEmpty(events.getTitle()), "title", events.getTitle())
                .like(StrUtil.isNotEmpty(events.getMsgTypeName()), "msgTypeName", events.getMsgTypeName())
                .orderByDesc("firstWarnTime");
        return baseMapper.selectPage(page, wrapper);
    }
}

